package com.xylink.log;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author: yxk
 * @Date: 2022-12-12 19:09
 * @Description: **********
 */
public class LogBackImpl implements XyLinkLog{

    private static Logger logger = LoggerFactory.getLogger(com.xylink.log.LogBackImpl.class);


    public static XyLinkLog build() {
        return new LogBackImpl();
    }

    @Override
    public void error(Object obj) {
        throw new RuntimeException("not support");
    }

    @Override
    public void error(String msg) {
        logger.error(msg);
    }

    @Override
    public void error(Object obj, Throwable throwable) {
        throw new RuntimeException("not support");
    }

    @Override
    public void error(String msg, Throwable throwable) {
        logger.error(msg, throwable);
    }

    @Override
    public void info(Object obj) {
        throw new RuntimeException("not support");
    }

    @Override
    public void info(String msg) {
        logger.info(msg);
    }


}
