package com.xylink.model;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * Created by wenya on 16/8/2.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class LiveVodInfo {

    private long vodId;
    private String displayName;
    private long startTime;
    private long endTime;
    private long fileSize;
    private long duration;
    private String meetingRoomNumber;
    private int status;

    public long getVodId() {
        return vodId;
    }

    public void setVodId(long vodId) {
        this.vodId = vodId;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public long getFileSize() {
        return fileSize;
    }

    public void setFileSize(long fileSize) {
        this.fileSize = fileSize;
    }

    public String getMeetingRoomNumber() {
        return meetingRoomNumber;
    }

    public void setMeetingRoomNumber(String meetingRoomNumber) {
        this.meetingRoomNumber = meetingRoomNumber;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public long getDuration() {
        return duration;
    }

    public void setDuration(long duration) {
        this.duration = duration;
    }

    @Override
    public String toString() {
        return "LiveVodInfo{" +
                "vodId=" + vodId +
                ", displayName='" + displayName + '\'' +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", fileSize=" + fileSize +
                ", meetingRoomNumber='" + meetingRoomNumber + '\'' +
                ", status=" + status +
                '}';
    }
}
